Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
[Java] Class NodeChild

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.slurpersupport.GPathResult
              groovy.util.slurpersupport.NodeChild

    public class NodeChild
    extends GPathResult

Lazy evaluated representation of a child node.

Authors:
  John Wilson

Field Summary

Fields inherited from class GPathResult
name, namespaceMap, namespacePrefix, namespaceTagHints, parent

Constructor Summary
`NodeChild(Node node, GPathResult parent, String namespacePrefix, Map namespaceTagHints)` @param node a node
`NodeChild(Node node, GPathResult parent, Map namespaceTagHints)` @param node a node

Method Summary
`protected void` | `appendNode(Object newValue)`
`Map` | `attributes()`
`void` | `build(GroovyObject builder)`
`Iterator` | `childNodes()`
`GPathResult` | `find(Closure closure)`
`GPathResult` | `findAll(Closure closure)`
`Object` | `getAt(int index)`
`Iterator` | `iterator()`
`String` | `namespaceURI()`
`Iterator` | `nodeIterator()`
`GPathResult` | `parents()`
`protected void` | `replaceBody(Object newValue)`
`protected void` | `replaceNode(Closure newValue)`
`int` | `size()`
`String` | `text()`
`Writer` | `writeTo(Writer out)`

Methods inherited from class GPathResult
appendNode, breadthFirst, childNodes, children, declareNamespace, depthFirst, equals, find, findAll, getAt, getAt, getBody, getProperty, isEmpty, iterator, leftShift, list, lookupNamespace, name, nodeIterator, parent, parents, plus, putAt, replaceBody, replaceNode, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### NodeChild

    public NodeChild(Node node, GPathResult parent, String namespacePrefix, Map namespaceTagHints)

  Parameters:
    `node` - a node
    `parent` - the GPathResult prior to the application of the expression creating this GPathResult
    `namespacePrefix` - the namespace prefix if any
    `namespaceTagHints` - the known tag to namespace mappings

### NodeChild

    public NodeChild(Node node, GPathResult parent, Map namespaceTagHints)

  Parameters:
    `node` - a node
    `parent` - the GPathResult prior to the application of the expression creating this GPathResult
    `namespaceTagHints` - the known tag to namespace mappings

Method Detail

### appendNode

    protected void appendNode(Object newValue)

### attributes

    public Map attributes()

### build

    public void build(GroovyObject builder)

### childNodes

    public Iterator childNodes()

### find

    public GPathResult find(Closure closure)

### findAll

    public GPathResult findAll(Closure closure)

### getAt

    public Object getAt(int index)

### iterator

    public Iterator iterator()

### namespaceURI

    public String namespaceURI()

### nodeIterator

    public Iterator nodeIterator()

### parents

    public GPathResult parents()

### replaceBody

    protected void replaceBody(Object newValue)

### replaceNode

    protected void replaceNode(Closure newValue)

### size

    public int size()

### text

    public String text()

### writeTo

    public Writer writeTo(Writer out)

Copyright © 2003-2010 The Codehaus. All rights reserved.